Package org.kie.internal.runtime.conf

# Interface DeploymentDescriptorBuilder

public interface DeploymentDescriptorBuilder
Fluent API style builder to simplify construction (or modification) of descriptor instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeploymentDescriptorBuilder`
  `addClass(String clazz)`
  `DeploymentDescriptorBuilder`
  `addConfiguration(NamedObjectModel model)`
  `DeploymentDescriptorBuilder`
  `addEnvironmentEntry(NamedObjectModel model)`
  `DeploymentDescriptorBuilder`
  `addEventListener(ObjectModel model)`
  `DeploymentDescriptorBuilder`
  `addGlobal(NamedObjectModel model)`
  `DeploymentDescriptorBuilder`
  `addMarshalingStrategy(ObjectModel model)`
  `DeploymentDescriptorBuilder`
  `addRequiredRole(String role)`
  `DeploymentDescriptorBuilder`
  `addTaskEventListener(ObjectModel model)`
  `DeploymentDescriptorBuilder`
  `addWorkItemHandler(NamedObjectModel model)`
  `DeploymentDescriptorBuilder`
  `auditMode(AuditMode mode)`
  `DeploymentDescriptorBuilder`
  `auditPersistenceUnit(String pu)`
  `DeploymentDescriptor`
  `get()`
  `DeploymentDescriptorBuilder`
  `persistenceMode(PersistenceMode mode)`
  `DeploymentDescriptorBuilder`
  `persistenceUnit(String pu)`
  `DeploymentDescriptorBuilder`
  `runtimeStrategy(RuntimeStrategy strategy)`
  `void`
  `setBuildHandler(BuilderHandler handler)`
  `DeploymentDescriptorBuilder`
  `setClasses(List<String> classes)`
  `DeploymentDescriptorBuilder`
  `setConfiguration(List<NamedObjectModel> models)`
  `DeploymentDescriptorBuilder`
  `setEnvironmentEntries(List<NamedObjectModel> models)`
  `DeploymentDescriptorBuilder`
  `setEventListeners(List<ObjectModel> models)`
  `DeploymentDescriptorBuilder`
  `setGlobals(List<NamedObjectModel> models)`
  `DeploymentDescriptorBuilder`
  `setLimitSerializationClasses(Boolean limit)`
  `DeploymentDescriptorBuilder`
  `setMarshalingStrategies(List<ObjectModel> models)`
  `DeploymentDescriptorBuilder`
  `setRequiredRoles(List<String> roles)`
  `DeploymentDescriptorBuilder`
  `setTaskEventListeners(List<ObjectModel> models)`
  `DeploymentDescriptorBuilder`
  `setWorkItemHandlers(List<NamedObjectModel> models)`

- ## Method Details

  - ### get

    DeploymentDescriptor get()

  - ### persistenceUnit

    DeploymentDescriptorBuilder persistenceUnit(String pu)

  - ### auditPersistenceUnit

    DeploymentDescriptorBuilder auditPersistenceUnit(String pu)

  - ### auditMode

    DeploymentDescriptorBuilder auditMode(AuditMode mode)

  - ### persistenceMode

    DeploymentDescriptorBuilder persistenceMode(PersistenceMode mode)

  - ### addConfiguration

    DeploymentDescriptorBuilder addConfiguration(NamedObjectModel model)

  - ### addEnvironmentEntry

    DeploymentDescriptorBuilder addEnvironmentEntry(NamedObjectModel model)

  - ### addWorkItemHandler

    DeploymentDescriptorBuilder addWorkItemHandler(NamedObjectModel model)

  - ### addGlobal

    DeploymentDescriptorBuilder addGlobal(NamedObjectModel model)

  - ### addEventListener

    DeploymentDescriptorBuilder addEventListener(ObjectModel model)

  - ### addTaskEventListener

    DeploymentDescriptorBuilder addTaskEventListener(ObjectModel model)

  - ### addMarshalingStrategy

    DeploymentDescriptorBuilder addMarshalingStrategy(ObjectModel model)

  - ### addRequiredRole

    DeploymentDescriptorBuilder addRequiredRole(String role)

  - ### addClass

    DeploymentDescriptorBuilder addClass(String clazz)

  - ### runtimeStrategy

    DeploymentDescriptorBuilder runtimeStrategy(RuntimeStrategy strategy)

  - ### setConfiguration

    DeploymentDescriptorBuilder setConfiguration(List<NamedObjectModel> models)

  - ### setEnvironmentEntries

    DeploymentDescriptorBuilder setEnvironmentEntries(List<NamedObjectModel> models)

  - ### setWorkItemHandlers

    DeploymentDescriptorBuilder setWorkItemHandlers(List<NamedObjectModel> models)

  - ### setGlobals

    DeploymentDescriptorBuilder setGlobals(List<NamedObjectModel> models)

  - ### setEventListeners

    DeploymentDescriptorBuilder setEventListeners(List<ObjectModel> models)

  - ### setTaskEventListeners

    DeploymentDescriptorBuilder setTaskEventListeners(List<ObjectModel> models)

  - ### setMarshalingStrategies

    DeploymentDescriptorBuilder setMarshalingStrategies(List<ObjectModel> models)

  - ### setRequiredRoles

    DeploymentDescriptorBuilder setRequiredRoles(List<String> roles)

  - ### setClasses

    DeploymentDescriptorBuilder setClasses(List<String> classes)

  - ### setLimitSerializationClasses

    DeploymentDescriptorBuilder setLimitSerializationClasses(Boolean limit)

  - ### setBuildHandler

    void setBuildHandler(BuilderHandler handler)